#include <iostream>
using namespace std;

struct Node
{  char item;
   Node *next;
}; // end struct

void writeBackward2(Node *stringPtr)
// ---------------------------------------------------------
// Writes a string backward.
// Precondition: The string is represented as a linked list
// to which the pointer stringPtr points.
// Postcondition: The string is displayed backward. The
// linked list and stringPtr are unchanged.
// ---------------------------------------------------------
{
   if (stringPtr != NULL)
   {  // write the string minus its first character backward
      writeBackward2(stringPtr->next);

      // write the first character
      cout << stringPtr->item;
   }  // end if
}  // end writeBackward2
